Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1336675 - [RFE] Allow optionally rebooting a host after host-deploy (if the kernel command line has been set?)
Summary: [RFE] Allow optionally rebooting a host after host-deploy (if the kernel comm...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Infra
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Martin Perina
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-17 08:02 UTC by Martin Polednik
Modified: 2020-04-01 14:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Infra
oourfali: ovirt-future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Martin Polednik 2016-05-17 08:02:04 UTC
Description of problem:
User should be able to request host reboot as a part of host deployment process. The benefit of it is that if we add functionality to host deploy that requires reboot (e.g. modifying kernel arguments via grubby), it can be done automatically instead of being requested from the user.

The functionality can be optional, with checkbox similar to "Activate host after install" or "Configure host firewall" checkboxes.

Comment 1 Oved Ourfali 2016-05-17 08:09:34 UTC
Aside from upgrade NGN we currently have no use-case that requires host reboot after deployment. When doing NGN upgrade we indeed reboot the host.

This RFE is relevant only once we add, or plan to add the functionality you're talking about that requires exposing a reboot to the user / automatically. Do you have such a use-case at the moment?

If not, I suggest to close this one for now, and re-open once needed.

Comment 2 Martin Polednik 2016-05-17 09:00:46 UTC
We have #1301104 and it would be preferable to have the reboot available at the same time.

Comment 3 Michal Skrivanek 2016-05-17 10:52:54 UTC
(In reply to Oved Ourfali from comment #1)
> Aside from upgrade NGN we currently have no use-case that requires host
> reboot after deployment. When doing NGN upgrade we indeed reboot the host.
> 
> This RFE is relevant only once we add, or plan to add the functionality
> you're talking about that requires exposing a reboot to the user /
> automatically. Do you have such a use-case at the moment?

there are 2 use cases I know of:
1) bug 1301104 implements a kernel editing, for that to take effect you need to reboot
2) for upgrading the packages (I don't quite know whether we do yum update vdsm or general update) when e.g. kernel is upgraded the reboot is mandatory. I would strongly advocate for rebooting always as there is no way for us to know when it is or it is not needed.
If we don't upgrade all packages then anyway the functionality is not correct as all the vdsm/qemu/libvirt packages are only tested against latest applied zstream. So I believe we should by default upgrade all packages and by default reboot

It's a bit too late for 4.0 probably, but we should fix it soon

Comment 4 Oved Ourfali 2016-05-17 11:00:23 UTC
What's the question?
When will it be done?

Comment 5 Michal Skrivanek 2016-05-17 11:10:05 UTC
yeah, I guess. Given the use cases we shouldn't postpone it for too long

Comment 6 Yaniv Kaul 2017-03-12 15:44:58 UTC
Design question: how does the user know if he should or shouldn't ask for a reboot?
I kinda remember some packages have something that say if a reboot is required.
Certainly if we edit the kernel cmdline we can 'remember' that a reboot is required.

Comment 7 Michal Skrivanek 2020-03-19 15:42:07 UTC
We didn't get to this bug for more than 2 years, and it's not being considered for the upcoming 4.4. It's unlikely that it will ever be addressed so I'm suggesting to close it.
If you feel this needs to be addressed and want to work on it please remove cond nack and target accordingly.

Comment 8 Michal Skrivanek 2020-04-01 14:48:38 UTC
ok, closing. Please reopen if still relevant/you want to work on it.

Comment 9 Michal Skrivanek 2020-04-01 14:51:43 UTC
ok, closing. Please reopen if still relevant/you want to work on it.


Note You need to log in before you can comment on or make changes to this bug.